rte_security_macsec_sc(3)

NAME
rte_security_macsec_sc

SYNOPSIS

#include <rte_security.h>

  Data Fields

enum rte_security_macsec_direction dir
uint64_t pn_threshold

Detailed Description

MACsec Secure Channel configuration parameters.

Definition at line 375 of file rte_security.h.

Field Documentation

  enum rte_security_macsec_direction dir
Direction of SC

Definition at line 377 of file rte_security.h.

  uint64_t pn_threshold
Packet number threshold

Definition at line 379 of file rte_security.h.

  uint16_t sa_id
SAs for each association number

SA ID to be used for encryption

Definition at line 383 of file rte_security.h.

  uint8_t sa_in_use[RTE_SECURITY_MACSEC_NUM_AN]
flag to denote which all SAs are in use for each association number

Definition at line 385 of file rte_security.h.

  uint8_t active
Channel is active

Definition at line 387 of file rte_security.h.

  uint8_t is_xpn
Extended packet number is enabled for SAs

Definition at line 389 of file rte_security.h.

  uint8_t reserved
Reserved bitfields for future

Definition at line 391 of file rte_security.h.

  uint16_t sa_id_rekey
Rekeying SA ID to be used for encryption

Definition at line 395 of file rte_security.h.

  uint64_t sci
SCI value to be used if send_sci is set

Definition at line 396 of file rte_security.h.

  uint8_t re_key_en
Enable Rekeying

Definition at line 398 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.